<?php
/**
 * VigLink advertising
 */

if (!defined('ELK'))
	die('No access...');

class VigLink_Integrate
{
	public static function load_theme()
	{
		global $modSettings, $user_info;

		// No tracking code on xml or api requests
		if (isset($_REQUEST['xml']) || isset($_REQUEST['api']))
			return;

		// As well as if the tracking code is not set
		if (empty($modSettings['vigLink_code']))
			return;

		if (!empty($modSettings['vigLink_only_guests']) && !$user_info['is_guest'])
			return;

		if (isset($_REQUEST['action']) && ($_REQUEST['action'] == 'admin' || $_REQUEST['action'] == 'moderate'))
			return;

		addInlineJavascript('
	var vglnk = { key: ' . JavaScriptEscape($modSettings['vigLink_code']) . ' };

	(function(d, t) {
		var s = d.createElement(t); s.type = \'text/javascript\'; s.async = true;
		s.src = \'//cdn.viglink.com/api/vglnk.js\';
		var r = d.getElementsByTagName(t)[0]; r.parentNode.insertBefore(s, r);
	}(document, \'script\'));', true);
	}

	public static function general_mod_settings(&$config_vars)
	{
		global $txt;

		loadLanguage('VigLink');
		$config_vars[] = array('text', 'vigLink_code');
		$config_vars[] = array('check', 'vigLink_only_guests');
	}

	public static function save_general_mod_settings()
	{
		if (!empty($_POST['vigLink_code']))
		{
			$_POST['vigLink_code'] = preg_replace('~[^\w\d\-]~', '', $_POST['vigLink_code']);
		}
	}
}